const XLSX = require('xlsx');
const mongoose = require('mongoose');
const AmsUserModel = require('./models/ams-user');

mongoose.connect('mongodb://localhost:27017/sbwlmsv2', {
    useNewUrlParser: true,
    useUnifiedTopology: true
});

const db = mongoose.connection;
db.on('error', console.error.bind(console, 'connection error:'));
db.once('open', async function () {
    console.log('connected db')

    const users = await AmsUserModel.find().lean();

    function excelToJson(filePath) {
        const workbook = XLSX.readFile(filePath);
        const sheetNames = workbook.SheetNames;

        const output = {};

        sheetNames.forEach(sheetName => {
            const worksheet = workbook.Sheets[sheetName];
            const jsonData = XLSX.utils.sheet_to_json(worksheet);
            output[sheetName] = jsonData;
        });

        return output;
    }

    const filePath = 'EMP DATA Not Register.xlsx';  // replace with your file path
    const jsonData = excelToJson(filePath);
    console.log(jsonData['Sheet1'].length);
    for (const jsonDatum of jsonData['Sheet1']) {
        const newUser = new AmsUserModel({
            password: '12345',
            client: [ 'AAI ' + jsonDatum['place']?.trim() ],
            companies: [ 'World class services' ],
            offices: [ 'Default' ],
            name: jsonDatum['name'],
            username: jsonDatum['mobile'],
            role: 'Employee',
            mobile: jsonDatum['mobile'],
            imei: '',
            email: jsonDatum['email'],
            tags: [
                jsonDatum['designation'],
                jsonDatum['area'],
                jsonDatum['place']
            ],
            topUser: "sbwadmin"
        });
        const savedData = await newUser.save();
        console.log(savedData);
    }
});

